%define api_version 1.1
%define lib_major 0
%define lib_name %mklibname gnet-%{api_version}_ %{lib_major}

Summary:	Libgnet, a network library
Name:		libgnet
Version:	1.1.9
Release:	%mkrel 4
License:	LGPL
Group:		System/Libraries
URL:		http://gnetlibrary.org/
Source:		http://www.gnetlibrary.org/src/gnet-%{version}.tar.bz2
BuildRequires:	glib2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Gnet is a simple network library. It is writen in C, object-oriented, and built
upon glib.  It is intended to be small, fast, easy-to-use, and easy to port.
The interface is similar to the interface for Java's network library.

Features:
  * TCP 'client' sockets
  * TCP 'server' sockets
  * Non-blocking TCP sockets
  * UDP
  * IP Multicast
  * Internet address abstraction

%package -n	%{lib_name}
Summary:	Libgnet, a network library
Group:		System/Libraries
Provides:	libgnet1 = %{version}-%{release}
Obsoletes:	libgnet1
Provides:	libgnet1.1 = %{version}-%{release}
Obsoletes:	libgnet1.1

%description -n	%{lib_name}
Gnet is a simple network library. It is writen in C, object-oriented, and built
upon glib.  It is intended to be small, fast, easy-to-use, and easy to port.
The interface is similar to the interface for Java's network library.

%package -n	%{lib_name}-devel
Summary:	Header files for the Gnet library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Provides:	libgnet1-devel = %{version}-%{release}
Obsoletes:	libgnet1-devel
Provides:	libgnet1.1-devel = %{version}-%{release}
Obsoletes:	libgnet1.1-devel

%description -n	%{lib_name}-devel
Gnet is a simple network library. It is writen in C, object-oriented, and built
upon glib.  It is intended to be small, fast, easy-to-use, and easy to port.
The interface is similar to the interface for Java's network library.

This package allows you to develop applications that use the Gnet library.

%prep

%setup -q -n gnet-%{version}
chmod 755 doc/html


%build

%configure2_5x --enable-glib2
%make

%install
rm -rf %{buildroot}

%makeinstall_std

#remove unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/libgnet%{api_version}-dev

# multiarch
%multiarch_binaries %{buildroot}%{_bindir}/gnet-config

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS TODO AUTHORS INSTALL HACKING doc/html
%{_includedir}/gnet
%{_bindir}/*
%{_datadir}/aclocal/*
%{_mandir}/man1/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/gnet
%{_libdir}/*.so
%{_libdir}/pkgconfig/gnet.pc




%changelog
* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.9-4mdv2008.1
+ Revision: 150598
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Mar 16 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.9-3mdv2007.1
+ Revision: 145179
- Import libgnet

* Fri Mar 16 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.9-3mdv2007.1
- use the %%mkrel macro

* Wed Feb 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.9-2mdk
- multiarch

